Bug 178602 - Unable to find gtk.h when compiling against vte-devel
Unable to find gtk.h when compiling against vte-devel
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: vte (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-22 05:57 EST by Paul F. Johnson
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-31 15:35:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul F. Johnson 2006-01-22 05:57:24 EST
Description of problem:
When compiling against vte-devel, the build reports back that gtk.h cannot be found

Version-Release number of selected component (if applicable):
0.11.16-2.fc5.1

How reproducible:
Always

Steps to Reproduce:
1. Download the source to gtk-sharp from the mono svn
2. ./bootstrap-2.10
3. make
  
Actual results:
In file included from generated.c:4:
/usr/include/vte/vte.h:30:21: error: gtk/gtk.h: No such file or directory
In file included from generated.c:4:
/usr/include/vte/vte.h:43: error: expected specifier-qualifier-list before
'GtkWidget'
/usr/include/vte/vte.h:64: error: expected specifier-qualifier-list before
'GtkWidgetClass'
/usr/include/vte/vte.h:167: error: expected specifier-qualifier-list before
'GdkColor'
/usr/include/vte/vte.h:175: error: expected specifier-qualifier-list before
'GdkColor'
/usr/include/vte/vte.h:180: error: expected '=', ',', ';', 'asm' or
'__attribute__' before 'vte_terminal_get_type'
/usr/include/vte/vte.h:181: error: expected '=', ',', ';', 'asm' or
'__attribute__' before 'vte_terminal_erase_binding_get_type'
/usr/include/vte/vte.h:182: error: expected '=', ',', ';', 'asm' or
'__attribute__' before 'vte_terminal_anti_alias_get_type'
/usr/include/vte/vte.h:205: error: expected '=', ',', ';', 'asm' or
'__attribute__' before '*' token
/usr/include/vte/vte.h:249: error: expected ';', ',' or ')' before '*' token
/usr/include/vte/vte.h:251: error: expected ';', ',' or ')' before '*' token
/usr/include/vte/vte.h:253: error: expected ';', ',' or ')' before '*' token
/usr/include/vte/vte.h:255: error: expected ';', ',' or ')' before '*' token
/usr/include/vte/vte.h:257: error: expected ';', ',' or ')' before '*' token
/usr/include/vte/vte.h:259: error: expected ';', ',' or ')' before '*' token
/usr/include/vte/vte.h:261: error: expected ';', ',' or ')' before '*' token
/usr/include/vte/vte.h:268: error: expected declaration specifiers or '...'
before 'GdkPixbuf'
/usr/include/vte/vte.h:272: error: expected ';', ',' or ')' before '*' token
/usr/include/vte/vte.h:286: error: expected declaration specifiers or '...'
before 'GtkMenuShell'
/usr/include/vte/vte.h:366: error: expected declaration specifiers or '...'
before 'GdkCursor'
/usr/include/vte/vte.h:368: error: expected declaration specifiers or '...'
before 'GdkCursorType'
/usr/include/vte/vte.h:395: error: expected '=', ',', ';', 'asm' or
'__attribute__' before '*' token
generated.c: In function 'vtesharp_vte_charattributes_get_underline':
generated.c:12: error: 'VteCharAttributes' has no member named 'underline'
generated.c:13: warning: control reaches end of non-void function
generated.c: In function 'vtesharp_vte_charattributes_set_underline':
generated.c:18: error: 'VteCharAttributes' has no member named 'underline'
generated.c: In function 'vtesharp_vte_charattributes_get_strikethrough':
generated.c:27: error: 'VteCharAttributes' has no member named 'strikethrough'
generated.c:28: warning: control reaches end of non-void function
generated.c: In function 'vtesharp_vte_charattributes_set_strikethrough':
generated.c:33: error: 'VteCharAttributes' has no member named 'strikethrough'
make[3]: *** [generated.lo] Error 1
make[2]: *** [all-recursive] Error 1
make[1]: *** [all-recursive] Error 1
make: *** [all] Error 2

Expected results:
The build should work

Additional info:
I'm not fully sure where the problem lies for this as gtk-sharp2 builds and
includes vte-sharp
Comment 1 Wade Mealing 2006-01-24 01:18:14 EST
Not really a FC5T2 bug, but ...

It is in the gtk2-devel package.. do you have this installed ?
Comment 2 Paul F. Johnson 2006-01-24 02:49:22 EST
rpm -q gtk2-devel
gtk2-devel-2.8.10-4

Note You need to log in before you can comment on or make changes to this bug.